[arch-commits] Commit in (4 files)

Thomas Baechler thomas at archlinux.org
Fri Oct 10 12:11:53 EDT 2008


    Date: Friday, October 10, 2008 @ 12:11:52
  Author: thomas
Revision: 14832

Add new core package: iwlwifi-5000-ucode

Added:
  iwlwifi-5000-ucode/
  iwlwifi-5000-ucode/repos/
  iwlwifi-5000-ucode/trunk/
  iwlwifi-5000-ucode/trunk/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

Added: iwlwifi-5000-ucode/trunk/PKGBUILD
===================================================================
--- iwlwifi-5000-ucode/trunk/PKGBUILD	                        (rev 0)
+++ iwlwifi-5000-ucode/trunk/PKGBUILD	2008-10-10 16:11:52 UTC (rev 14832)
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 4445 2008-07-07 12:03:31Z thomas $
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+
+pkgname=iwlwifi-5000-ucode
+pkgver=5.4.A.11
+pkgrel=1
+pkgdesc="Intel wireless firmware for Intel's 5100BG, 5100ABG, 5100AGN, 5300AGN and 5350AGN wireless devices"
+arch=(i686 x86_64)
+url="http://intellinuxwireless.org/?p=iwlwifi"
+license=('custom')
+depends=()
+source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tar.gz)
+md5sums=('748860c5079dde1a1313e72511b9322a')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  # Install firmware
+  install -D -m 644 iwlwifi-5000-1.ucode $startdir/pkg/lib/firmware/iwlwifi-5000-1.ucode || return 1
+  # Install license
+  install -D -m 644 LICENSE.iwlwifi-5000-ucode $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+}




More information about the arch-commits mailing list